// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: PlateHandlingControl.proto
#pragma warning disable 1591
#region Designer generated code

using System;
using System.Threading;
using System.Threading.Tasks;
using grpc = global::Grpc.Core;

namespace Sila2.De.Equicon.Handling.Platehandlingcontrol.V1 {
  public static partial class PlateHandlingControl
  {
    static readonly string __ServiceName = "sila2.de.equicon.handling.platehandlingcontrol.v1.PlateHandlingControl";

    static readonly grpc::Marshaller<global::Sila2.De.Equicon.Handling.Platehandlingcontrol.V1.OpenClamp_Parameters> __Marshaller_OpenClamp_Parameters = grpc::Marshallers.Create((arg) => global::Google.Protobuf.MessageExtensions.ToByteArray(arg), global::Sila2.De.Equicon.Handling.Platehandlingcontrol.V1.OpenClamp_Parameters.Parser.ParseFrom);
    static readonly grpc::Marshaller<global::Sila2.De.Equicon.Handling.Platehandlingcontrol.V1.OpenClamp_Responses> __Marshaller_OpenClamp_Responses = grpc::Marshallers.Create((arg) => global::Google.Protobuf.MessageExtensions.ToByteArray(arg), global::Sila2.De.Equicon.Handling.Platehandlingcontrol.V1.OpenClamp_Responses.Parser.ParseFrom);
    static readonly grpc::Marshaller<global::Sila2.De.Equicon.Handling.Platehandlingcontrol.V1.CloseClamp_Parameters> __Marshaller_CloseClamp_Parameters = grpc::Marshallers.Create((arg) => global::Google.Protobuf.MessageExtensions.ToByteArray(arg), global::Sila2.De.Equicon.Handling.Platehandlingcontrol.V1.CloseClamp_Parameters.Parser.ParseFrom);
    static readonly grpc::Marshaller<global::Sila2.De.Equicon.Handling.Platehandlingcontrol.V1.CloseClamp_Responses> __Marshaller_CloseClamp_Responses = grpc::Marshallers.Create((arg) => global::Google.Protobuf.MessageExtensions.ToByteArray(arg), global::Sila2.De.Equicon.Handling.Platehandlingcontrol.V1.CloseClamp_Responses.Parser.ParseFrom);
    static readonly grpc::Marshaller<global::Sila2.De.Equicon.Handling.Platehandlingcontrol.V1.Get_CurrentClampState_Parameters> __Marshaller_Get_CurrentClampState_Parameters = grpc::Marshallers.Create((arg) => global::Google.Protobuf.MessageExtensions.ToByteArray(arg), global::Sila2.De.Equicon.Handling.Platehandlingcontrol.V1.Get_CurrentClampState_Parameters.Parser.ParseFrom);
    static readonly grpc::Marshaller<global::Sila2.De.Equicon.Handling.Platehandlingcontrol.V1.Get_CurrentClampState_Responses> __Marshaller_Get_CurrentClampState_Responses = grpc::Marshallers.Create((arg) => global::Google.Protobuf.MessageExtensions.ToByteArray(arg), global::Sila2.De.Equicon.Handling.Platehandlingcontrol.V1.Get_CurrentClampState_Responses.Parser.ParseFrom);

    static readonly grpc::Method<global::Sila2.De.Equicon.Handling.Platehandlingcontrol.V1.OpenClamp_Parameters, global::Sila2.De.Equicon.Handling.Platehandlingcontrol.V1.OpenClamp_Responses> __Method_OpenClamp = new grpc::Method<global::Sila2.De.Equicon.Handling.Platehandlingcontrol.V1.OpenClamp_Parameters, global::Sila2.De.Equicon.Handling.Platehandlingcontrol.V1.OpenClamp_Responses>(
        grpc::MethodType.Unary,
        __ServiceName,
        "OpenClamp",
        __Marshaller_OpenClamp_Parameters,
        __Marshaller_OpenClamp_Responses);

    static readonly grpc::Method<global::Sila2.De.Equicon.Handling.Platehandlingcontrol.V1.CloseClamp_Parameters, global::Sila2.De.Equicon.Handling.Platehandlingcontrol.V1.CloseClamp_Responses> __Method_CloseClamp = new grpc::Method<global::Sila2.De.Equicon.Handling.Platehandlingcontrol.V1.CloseClamp_Parameters, global::Sila2.De.Equicon.Handling.Platehandlingcontrol.V1.CloseClamp_Responses>(
        grpc::MethodType.Unary,
        __ServiceName,
        "CloseClamp",
        __Marshaller_CloseClamp_Parameters,
        __Marshaller_CloseClamp_Responses);

    static readonly grpc::Method<global::Sila2.De.Equicon.Handling.Platehandlingcontrol.V1.Get_CurrentClampState_Parameters, global::Sila2.De.Equicon.Handling.Platehandlingcontrol.V1.Get_CurrentClampState_Responses> __Method_Get_CurrentClampState = new grpc::Method<global::Sila2.De.Equicon.Handling.Platehandlingcontrol.V1.Get_CurrentClampState_Parameters, global::Sila2.De.Equicon.Handling.Platehandlingcontrol.V1.Get_CurrentClampState_Responses>(
        grpc::MethodType.Unary,
        __ServiceName,
        "Get_CurrentClampState",
        __Marshaller_Get_CurrentClampState_Parameters,
        __Marshaller_Get_CurrentClampState_Responses);

    /// <summary>Service descriptor</summary>
    public static global::Google.Protobuf.Reflection.ServiceDescriptor Descriptor
    {
      get { return global::Sila2.De.Equicon.Handling.Platehandlingcontrol.V1.PlateHandlingControlReflection.Descriptor.Services[0]; }
    }

    /// <summary>Base class for server-side implementations of PlateHandlingControl</summary>
    public abstract partial class PlateHandlingControlBase
    {
      public virtual global::System.Threading.Tasks.Task<global::Sila2.De.Equicon.Handling.Platehandlingcontrol.V1.OpenClamp_Responses> OpenClamp(global::Sila2.De.Equicon.Handling.Platehandlingcontrol.V1.OpenClamp_Parameters request, grpc::ServerCallContext context)
      {
        throw new grpc::RpcException(new grpc::Status(grpc::StatusCode.Unimplemented, ""));
      }

      public virtual global::System.Threading.Tasks.Task<global::Sila2.De.Equicon.Handling.Platehandlingcontrol.V1.CloseClamp_Responses> CloseClamp(global::Sila2.De.Equicon.Handling.Platehandlingcontrol.V1.CloseClamp_Parameters request, grpc::ServerCallContext context)
      {
        throw new grpc::RpcException(new grpc::Status(grpc::StatusCode.Unimplemented, ""));
      }

      public virtual global::System.Threading.Tasks.Task<global::Sila2.De.Equicon.Handling.Platehandlingcontrol.V1.Get_CurrentClampState_Responses> Get_CurrentClampState(global::Sila2.De.Equicon.Handling.Platehandlingcontrol.V1.Get_CurrentClampState_Parameters request, grpc::ServerCallContext context)
      {
        throw new grpc::RpcException(new grpc::Status(grpc::StatusCode.Unimplemented, ""));
      }

    }

    /// <summary>Client for PlateHandlingControl</summary>
    public partial class PlateHandlingControlClient : grpc::ClientBase<PlateHandlingControlClient>
    {
      /// <summary>Creates a new client for PlateHandlingControl</summary>
      /// <param name="channel">The channel to use to make remote calls.</param>
      public PlateHandlingControlClient(grpc::Channel channel) : base(channel)
      {
      }
      /// <summary>Creates a new client for PlateHandlingControl that uses a custom <c>CallInvoker</c>.</summary>
      /// <param name="callInvoker">The callInvoker to use to make remote calls.</param>
      public PlateHandlingControlClient(grpc::CallInvoker callInvoker) : base(callInvoker)
      {
      }
      /// <summary>Protected parameterless constructor to allow creation of test doubles.</summary>
      protected PlateHandlingControlClient() : base()
      {
      }
      /// <summary>Protected constructor to allow creation of configured clients.</summary>
      /// <param name="configuration">The client configuration.</param>
      protected PlateHandlingControlClient(ClientBaseConfiguration configuration) : base(configuration)
      {
      }

      public virtual global::Sila2.De.Equicon.Handling.Platehandlingcontrol.V1.OpenClamp_Responses OpenClamp(global::Sila2.De.Equicon.Handling.Platehandlingcontrol.V1.OpenClamp_Parameters request, grpc::Metadata headers = null, DateTime? deadline = null, CancellationToken cancellationToken = default(CancellationToken))
      {
        return OpenClamp(request, new grpc::CallOptions(headers, deadline, cancellationToken));
      }
      public virtual global::Sila2.De.Equicon.Handling.Platehandlingcontrol.V1.OpenClamp_Responses OpenClamp(global::Sila2.De.Equicon.Handling.Platehandlingcontrol.V1.OpenClamp_Parameters request, grpc::CallOptions options)
      {
        return CallInvoker.BlockingUnaryCall(__Method_OpenClamp, null, options, request);
      }
      public virtual grpc::AsyncUnaryCall<global::Sila2.De.Equicon.Handling.Platehandlingcontrol.V1.OpenClamp_Responses> OpenClampAsync(global::Sila2.De.Equicon.Handling.Platehandlingcontrol.V1.OpenClamp_Parameters request, grpc::Metadata headers = null, DateTime? deadline = null, CancellationToken cancellationToken = default(CancellationToken))
      {
        return OpenClampAsync(request, new grpc::CallOptions(headers, deadline, cancellationToken));
      }
      public virtual grpc::AsyncUnaryCall<global::Sila2.De.Equicon.Handling.Platehandlingcontrol.V1.OpenClamp_Responses> OpenClampAsync(global::Sila2.De.Equicon.Handling.Platehandlingcontrol.V1.OpenClamp_Parameters request, grpc::CallOptions options)
      {
        return CallInvoker.AsyncUnaryCall(__Method_OpenClamp, null, options, request);
      }
      public virtual global::Sila2.De.Equicon.Handling.Platehandlingcontrol.V1.CloseClamp_Responses CloseClamp(global::Sila2.De.Equicon.Handling.Platehandlingcontrol.V1.CloseClamp_Parameters request, grpc::Metadata headers = null, DateTime? deadline = null, CancellationToken cancellationToken = default(CancellationToken))
      {
        return CloseClamp(request, new grpc::CallOptions(headers, deadline, cancellationToken));
      }
      public virtual global::Sila2.De.Equicon.Handling.Platehandlingcontrol.V1.CloseClamp_Responses CloseClamp(global::Sila2.De.Equicon.Handling.Platehandlingcontrol.V1.CloseClamp_Parameters request, grpc::CallOptions options)
      {
        return CallInvoker.BlockingUnaryCall(__Method_CloseClamp, null, options, request);
      }
      public virtual grpc::AsyncUnaryCall<global::Sila2.De.Equicon.Handling.Platehandlingcontrol.V1.CloseClamp_Responses> CloseClampAsync(global::Sila2.De.Equicon.Handling.Platehandlingcontrol.V1.CloseClamp_Parameters request, grpc::Metadata headers = null, DateTime? deadline = null, CancellationToken cancellationToken = default(CancellationToken))
      {
        return CloseClampAsync(request, new grpc::CallOptions(headers, deadline, cancellationToken));
      }
      public virtual grpc::AsyncUnaryCall<global::Sila2.De.Equicon.Handling.Platehandlingcontrol.V1.CloseClamp_Responses> CloseClampAsync(global::Sila2.De.Equicon.Handling.Platehandlingcontrol.V1.CloseClamp_Parameters request, grpc::CallOptions options)
      {
        return CallInvoker.AsyncUnaryCall(__Method_CloseClamp, null, options, request);
      }
      public virtual global::Sila2.De.Equicon.Handling.Platehandlingcontrol.V1.Get_CurrentClampState_Responses Get_CurrentClampState(global::Sila2.De.Equicon.Handling.Platehandlingcontrol.V1.Get_CurrentClampState_Parameters request, grpc::Metadata headers = null, DateTime? deadline = null, CancellationToken cancellationToken = default(CancellationToken))
      {
        return Get_CurrentClampState(request, new grpc::CallOptions(headers, deadline, cancellationToken));
      }
      public virtual global::Sila2.De.Equicon.Handling.Platehandlingcontrol.V1.Get_CurrentClampState_Responses Get_CurrentClampState(global::Sila2.De.Equicon.Handling.Platehandlingcontrol.V1.Get_CurrentClampState_Parameters request, grpc::CallOptions options)
      {
        return CallInvoker.BlockingUnaryCall(__Method_Get_CurrentClampState, null, options, request);
      }
      public virtual grpc::AsyncUnaryCall<global::Sila2.De.Equicon.Handling.Platehandlingcontrol.V1.Get_CurrentClampState_Responses> Get_CurrentClampStateAsync(global::Sila2.De.Equicon.Handling.Platehandlingcontrol.V1.Get_CurrentClampState_Parameters request, grpc::Metadata headers = null, DateTime? deadline = null, CancellationToken cancellationToken = default(CancellationToken))
      {
        return Get_CurrentClampStateAsync(request, new grpc::CallOptions(headers, deadline, cancellationToken));
      }
      public virtual grpc::AsyncUnaryCall<global::Sila2.De.Equicon.Handling.Platehandlingcontrol.V1.Get_CurrentClampState_Responses> Get_CurrentClampStateAsync(global::Sila2.De.Equicon.Handling.Platehandlingcontrol.V1.Get_CurrentClampState_Parameters request, grpc::CallOptions options)
      {
        return CallInvoker.AsyncUnaryCall(__Method_Get_CurrentClampState, null, options, request);
      }
      /// <summary>Creates a new instance of client from given <c>ClientBaseConfiguration</c>.</summary>
      protected override PlateHandlingControlClient NewInstance(ClientBaseConfiguration configuration)
      {
        return new PlateHandlingControlClient(configuration);
      }
    }

    /// <summary>Creates service definition that can be registered with a server</summary>
    /// <param name="serviceImpl">An object implementing the server-side handling logic.</param>
    public static grpc::ServerServiceDefinition BindService(PlateHandlingControlBase serviceImpl)
    {
      return grpc::ServerServiceDefinition.CreateBuilder()
          .AddMethod(__Method_OpenClamp, serviceImpl.OpenClamp)
          .AddMethod(__Method_CloseClamp, serviceImpl.CloseClamp)
          .AddMethod(__Method_Get_CurrentClampState, serviceImpl.Get_CurrentClampState).Build();
    }

  }
}
#endregion
